Modify

Opened 8 years ago

Closed 6 years ago

Last modified 4 years ago

#6460 closed defect (fixed)

Samba3 compatibility issues with Windows 7

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version:
Keywords: samba Cc:

Description

The current version of Samba is quite out of date (nearly two years), and seems to have several issues with Windows 7. Examples include the inability to join a domain hosted by a samba PDC and finicky access to password protected shares.

(For the latter issue using "net use" and completely capitalizing the username seems to have the highest success rate.)

Attachments (0)

Change History (8)

comment:1 Changed 7 years ago by anonymous

A higher version of samba may fix it.

comment:2 follow-up: Changed 7 years ago by Frex

Yes please, update Samba. This little quirk costed me a fair bit of time.

BTW is there a particular reason to keep tracking the 3.0.x branch instead of the current stable branch 3.5 ?

comment:3 in reply to: ↑ 2 Changed 7 years ago by KanjiMonster

Replying to Frex:

BTW is there a particular reason to keep tracking the 3.0.x branch instead of the current stable branch 3.5 ?

In my experience increases every 3.x -> 3.(x+1) update Samba's size and memory consumption by about 10%.

comment:4 Changed 7 years ago by jow

Yes, the reason to stay on 3.0.x is the AVM patchset which heavily strips down Samba. Porting this changes is a lot of work.

comment:5 Changed 7 years ago by Frex

Thanks for explaining it to me. There are at least two problems with this state of things: one is that Windows 7 is only going to get more popular over time, and most importantly, 3.0.x dates back to 2003 and has reached end-of-life support status in 2009 already :|

comment:6 Changed 7 years ago by anonymous

If you're installing Samba then you have an external storage device attached, so the size isn't really an issue. Even the stripped down version takes up around 2 MB, so there's not much point in storing it on internal flash. For the odd use cases that need such a thing, there's Samba2, FTP, NFS, etc..

The OpenWRT version of Samba is ancient now, so it's usefulness is quite limited. I'm sure there are tons of people that'd love the interoperability of a more modern version, and some of the new features. Noobs are going to have trouble getting it to work, and the lack of security updates for such a dangerous service is outright negligent.

Perhaps a 'Samba-full' package is in order, at least until Samba4 is production ready...

comment:7 Changed 6 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

there's a samba36 package now

comment:8 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.